<?php
namespace Mirasvit\SeoSitemap\Block\Map\Category;

/**
 * Interceptor class for @see \Mirasvit\SeoSitemap\Block\Map\Category
 */
class Interceptor extends \Mirasvit\SeoSitemap\Block\Map\Category implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Catalog\Model\ResourceModel\Category\CollectionFactory $categoryCollectionFactory, \Magento\Catalog\Model\CategoryRepository $categoryRepository, \Mirasvit\SeoSitemap\Helper\Data $seoSitemapData, \Mirasvit\SeoSitemap\Model\Config $config, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $categoryCollectionFactory, $categoryRepository, $seoSitemapData, $config, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
